This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 831072 - [abrt] calibre-0.8.54-1.fc18: xmlreader.py:316:__getitem__:KeyError: (u'urn:oasis:names:tc:opendocument:xmlns:text:1.0', 'style-name')
[abrt] calibre-0.8.54-1.fc18: xmlreader.py:316:__getitem__:KeyError: (u'urn:o...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: calibre (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
abrt_hash:d90f24048611af6ab8554041ccb...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-12 02:58 EDT by Michal Nowak
Modified: 2013-08-01 13:29 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 13:29:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Nowak 2012-06-12 02:58:40 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
cmdline:        python2 /bin/ebook-convert 'Uvod do historie.odt' xxx.mobi
comment:        Just started ODF -> MOBI conversion.
executable:     /bin/ebook-convert
kernel:         3.4.0-1.fc17.x86_64
time:           Tue 12 Jun 2012 08:42:45 AM CEST
uid:            1000
username:       newman

backtrace:
:xmlreader.py:316:__getitem__:KeyError: (u'urn:oasis:names:tc:opendocument:xmlns:text:1.0', 'style-name')
:
:Traceback (most recent call last):
:  File "/bin/ebook-convert", line 20, in <module>
:    sys.exit(main())
:  File "/usr/lib64/calibre/calibre/ebooks/conversion/cli.py", line 325, in main
:    plumber.run()
:  File "/usr/lib64/calibre/calibre/ebooks/conversion/plumber.py", line 979, in run
:    accelerators, tdir)
:  File "/usr/lib64/calibre/calibre/customize/conversion.py", line 208, in __call__
:    log, accelerators)
:  File "/usr/lib64/calibre/calibre/ebooks/conversion/plugins/odt_input.py", line 23, in convert
:    return Extract()(stream, '.', log)
:  File "/usr/lib64/calibre/calibre/ebooks/odt/input.py", line 151, in __call__
:    html = self.odf2xhtml(stream)
:  File "/usr/lib/python2.7/site-packages/odf/odf2xhtml.py", line 1287, in odf2xhtml
:    return self.xhtml()
:  File "/usr/lib/python2.7/site-packages/odf/odf2xhtml.py", line 1295, in xhtml
:    self.parseodf()
:  File "/usr/lib/python2.7/site-packages/odf/odf2xhtml.py", line 1280, in parseodf
:    parser.parse(inpsrc)
:  File "/usr/lib64/python2.7/xml/sax/expatreader.py", line 107, in parse
:    xmlreader.IncrementalParser.parse(self, source)
:  File "/usr/lib64/python2.7/xml/sax/xmlreader.py", line 123, in parse
:    self.feed(buffer)
:  File "/usr/lib64/python2.7/xml/sax/expatreader.py", line 207, in feed
:    self._parser.Parse(data, isFinal)
:  File "/usr/lib64/python2.7/xml/sax/expatreader.py", line 338, in start_element_ns
:    AttributesNSImpl(newattrs, qnames))
:  File "/usr/lib/python2.7/site-packages/odf/odf2xhtml.py", line 478, in startElementNS
:    self.handle_starttag(tag, method, attrs)
:  File "/usr/lib/python2.7/site-packages/odf/odf2xhtml.py", line 468, in handle_starttag
:    method(tag,attrs)
:  File "/usr/lib/python2.7/site-packages/odf/odf2xhtml.py", line 998, in s_text_h
:    name = self.classname(attrs)
:  File "/usr/lib/python2.7/site-packages/odf/odf2xhtml.py", line 513, in classname
:    c = attrs[(TEXTNS,'style-name')]
:  File "/usr/lib64/python2.7/xml/sax/xmlreader.py", line 316, in __getitem__
:    return self._attrs[name]
:KeyError: (u'urn:oasis:names:tc:opendocument:xmlns:text:1.0', 'style-name')
:
:Local variables in innermost frame:
:self: <xml.sax.xmlreader.AttributesNSImpl instance at 0x220f290>
:name: (u'urn:oasis:names:tc:opendocument:xmlns:text:1.0', 'style-name')
Comment 1 Michal Nowak 2012-06-12 03:04:25 EDT
I can provide you with a reproducer if you wish.
Comment 2 Michal Nowak 2012-06-12 03:24:56 EDT
calibre 0.8.55 also fails.
Comment 3 Michal Nowak 2012-06-12 06:05:38 EDT
It's somewhat strange. It "randomly" works and fails when started in GNOME or console or via SSH...

Upstream x86_64 Linux binary bundle seems to work.
Comment 4 Kevin Fenzi 2012-06-12 10:50:45 EDT
Sure, if you can attach a reproducing file that would help. 

Thanks!
Comment 5 Kevin Fenzi 2012-10-06 13:31:35 EDT
Can you try the latest version from my side repo and see if this persists?
Comment 7 Kevin Fenzi 2013-05-02 17:14:51 EDT
In the next few days there will be a newer calibre version available in updates-testing. 
Can you try: 'yum --enablerepo=updates-testing update calibre' and try and duplicate the problem with the new version? 

Thanks.
Comment 8 Fedora End Of Life 2013-07-04 02:05:02 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 9 Fedora End Of Life 2013-08-01 13:29:16 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.